Last Comment Bug 607583 - Move updateOptionItems() call from xul to js
: Move updateOptionItems() call from xul to js
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Composition (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.1b2
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 609926
Blocks: 537219
  Show dependency treegraph
 
Reported: 2010-10-27 03:17 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-11-18 15:26 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Just copy Thunderbird code [Checked in: Comment 2] (2.57 KB, patch)
2010-10-27 03:32 PDT, Serge Gautherie (:sgautherie)
iann_bugzilla: review+
Details | Diff | Splinter Review
(Bv1) Revert MsgComposeCommands.js part of patch Av1, Port bug 609926 fix instead [Checked in: Comment 9] (2.20 KB, patch)
2010-11-15 14:06 PST, Serge Gautherie (:sgautherie)
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-10-27 03:17:50 PDT
Sync' with Thunderbird, in order to ease bug 537219, etc.

Port "backend" code part of
http://bonsai.mozilla.org/cvsquery.cgi?module=ThunderbirdTinderbox&sortby=Date&hours=2&date=explicit&mindate=2003-08-03+23%3A36&maxdate=2003-08-03+23%3A36
"Add a new quote button for quoting the selected message like Netscape 4.x"

NB: We might want to actually add a button too, but I'll leave that to someone else in another bug.
Comment 1 Serge Gautherie (:sgautherie) 2010-10-27 03:32:10 PDT
Created attachment 486315 [details] [diff] [review]
(Av1) Just copy Thunderbird code
[Checked in: Comment 2]

Please double-check: I'm just assuming this is good (enough) for SeaMonkey too.
Comment 2 Serge Gautherie (:sgautherie) 2010-11-03 11:22:12 PDT
Comment on attachment 486315 [details] [diff] [review]
(Av1) Just copy Thunderbird code
[Checked in: Comment 2]

http://hg.mozilla.org/comm-central/rev/4d6d44d653f4
Comment 3 neil@parkwaycc.co.uk 2010-11-05 04:21:52 PDT
If you start by composing a new message, then open the 3pane window and select a message, the quote message menuitem remains disabled.

If you reply to a message, then close the 3pane window, the quote message menuitem remains enabled.

In both cases you can work around it by clicking in and out of the message body.
Comment 4 Serge Gautherie (:sgautherie) 2010-11-05 10:36:47 PDT
(In reply to comment #3)

Right! (I kind of expected some issue like these :-/) I filed bug 609926 :-<

I see two options ftb:
*backout my port patch, reopen this bug then wait for bug 609926 to be fixed first.
*keep this regression, proceed with bug 537219, then synchronize again when bug 609926 is fixed.

What do you prefer?
Comment 5 neil@parkwaycc.co.uk 2010-11-05 14:18:46 PDT
In this sort of case there are several considerations to take into account. If the patch has only affected the nightlies, then this would suggest that it would be easier to back it out now and fix bug 537219 later. If this regression has been released, then it may be easier to fix bug 537219 now, especially if you don't know what the fix for bug 609926 might be.
Comment 6 Serge Gautherie (:sgautherie) 2010-11-07 09:03:12 PST
"blocking-seamonkey2.1=?":
Just to remember to back this out for SM 2.0b2 if bug 609926 hasn't been fixed (and copied) by then.
Comment 7 Serge Gautherie (:sgautherie) 2010-11-15 14:06:46 PST
Created attachment 490700 [details] [diff] [review]
(Bv1) Revert MsgComposeCommands.js part of patch Av1, Port bug 609926 fix instead
[Checked in: Comment 9]
Comment 8 Ian Neal 2010-11-18 13:47:11 PST
Comment on attachment 490700 [details] [diff] [review]
(Bv1) Revert MsgComposeCommands.js part of patch Av1, Port bug 609926 fix instead
[Checked in: Comment 9]

>     // Options Menu
>     goUpdateCommand("cmd_spelling");
>-    goUpdateCommand("cmd_quoteMessage");
In the TB patch you add a call to updateOptionItems() here, why not for SM?

r=me with that explained/addressed.
Comment 9 Serge Gautherie (:sgautherie) 2010-11-18 15:25:24 PST
Comment on attachment 490700 [details] [diff] [review]
(Bv1) Revert MsgComposeCommands.js part of patch Av1, Port bug 609926 fix instead
[Checked in: Comment 9]

http://hg.mozilla.org/comm-central/rev/ec3138bfe33a


(In reply to comment #8)
> In the TB patch you add a call to updateOptionItems() here, why not for SM?

SM doesn't need that workaround (anymore), as SM doesn't have a 'Quote' button (yet).

Note You need to log in before you can comment on or make changes to this bug.